Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 22 Oct 2014, 04:52
All times are UTC - 4
 Forum index » House Training » Bugs ( Submit bugs )
Wary/Racy 5.3RC2 (5.2.91)
Moderators: Flash, Ian, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 4 of 20 Posts_count   Goto page: Previous 1, 2, 3, 4, 5, 6, ..., 18, 19, 20 Next
Author Message
BarryK
Puppy Master


Joined: 09 May 2005
Posts: 7047
Location: Perth, Western Australia

PostPosted: Tue 28 Feb 2012, 07:56    Post_subject:  

01micko wrote:
Samba for wary/racy

With the Samba Simple Setup gui

samba_full-3.5.12-wary-racy.pet 36M

It's the full enchilada with docs and dev. It's still large split so I left it all in... libs and bins are stripped.

Code:
./configure --prefix=/usr --enable-swat --enable-cups --localstatedir=/var --sysconfdir=/etc --with-statedir=/var/locks --with-configdir=/etc/samba


It would need inetd server for SWAT functionality. I didn't compile that.

3.6X wont compile due to older glibc, but this is as of Oct 2011, so recent enough.


Thanks for that. pet_packages-wary5 repo already has samba 3.5.9, but a later one is good. I am uploading it right now.

_________________
http://bkhome.org/news/
Back to top
View user's profile Send_private_message Visit_website 
BarryK
Puppy Master


Joined: 09 May 2005
Posts: 7047
Location: Perth, Western Australia

PostPosted: Tue 28 Feb 2012, 08:25    Post_subject: Re: console font again
Sub_title: xorgwizard
 

L18L wrote:
xorgwizard running in console seems missing the new console font .

I have noticed this because ö and ü had no correct display in dialogs.

prepending 1 line before line 335
zcat /lib/consolefonts/LatGrkCyr-8x16.psfu.gz | loadfont #120227
#do this code block if X is running...

and before 1570
zcat /lib/consolefonts/LatGrkCyr-8x16.psfu.gz | loadfont #120227
dialog --no-collapse --title "$(gettext 'Xorg Video Wizard')" --yes-label "$(gettext 'FINISHED')" --no-label "$(gettext 'Tweak')" --yesno "$(gettext 'Report on X test:')
`eval_gettext \"Resolution: \\\${XTEST}x\\\${YTEST} pixels\"`

and ö was correct !

console font has to be (re)loaded independent of locale changing ?!

Some ö´s in xorgwizard:

# pwd
/usr/share/locale/de/LC_MESSAGES
# msgunfmt xorgwizard.mo | grep lö
msgstr "Es ist möglich, Bildschrmauflösungen zu ändern, ohne X zu verlassen:"
msgstr "MEHR: weitere Bildschirmauflösungen anzeigen..."
msgstr "Ändern der Auflösung"
msgstr "Auflösung: ${XTEST}x${YTEST} pixels"
#

The last one is displayed as Auflölsung. Very strange.

Of course, this loadfont hack is just a hack for now...

Test yourself, lang_pack_de attached

-------------------------------------
edited concerning usability:

in dialog the buttons are always visible now so there is no more need for text like
TAB TAB ENTER to choose this or that...

Maybe just 1 new hint:
Use PAGE DOWN key to see entire text...


Hi, I am just starting to look at this. Regarding your PET, great work so far.

Note that /usr/share/sss/doc_strings/doc_strings.de needs to be updated. I have modified MoManager to do that, from the master file /usr/share/sss/doc_strings/doc_strings.

_________________
http://bkhome.org/news/
Back to top
View user's profile Send_private_message Visit_website 
mark

Joined: 26 Feb 2012
Posts: 8

PostPosted: Tue 28 Feb 2012, 19:40    Post_subject:  Missing firware for Asus EeePc 901  

For Racy 5.2.2 on an Asus EeePc 901,

ifconfig wlan0 up would return:
ifconfig: SIOCSIFFLAGS: No such file or directory

I was getting the following from the system log:
phy0 -> rt2x00lib_request_firmware: Error - Failed to request firmware.

So I downloaded RT2860_Firmware_V26.zip from http://www.ralinktech.com (PCI, not USB), and copied the .bin to

/lib/firmware/rt2860.bin

And now Puppy is scanning OK Very Happy
Back to top
View user's profile Send_private_message 
LaRioja

Joined: 23 Feb 2012
Posts: 20
Location: Augsburg/Germany

PostPosted: Wed 29 Feb 2012, 11:48    Post_subject: Strange 'rob you blind Issue' Using mtPaint
Sub_title: Couldn't use keyboard shortcut to open the 'Scale Canvas' dialog
 

Hello,
is this a bug?
I booted Racy 5.2.2.8 with the life CD on a about one year old laptop to test. I tried to scale an image for an internet site. After loading the image file, I pressed the key 'Bild' with an up arrow on my German keyboard to open the dialog to scale the canvas. The dialog opened and the two numbers for the new size following the 'New' label changed all the time (they were counting up) just like a gambling machine in a rob you blind and I couldn't close mtPaint. I was not able to take a screenshot either. The screenshot appended was taken after opening the dialog in a new mtPaint using the menu. I reproduced the issue several times with and without loading an image first: I opened mtPaint and pressed the key 'Bild' with an up arrow and I was in the rob you blind again. Even Pprocess didn't help me to close mtPaint. I restarted the X-server to close it.

Regards
mtpaint_casino_bug.png
 Description   
 Filesize   51.5 KB
 Viewed   1762 Time(s)

mtpaint_casino_bug.png


Edited_times_total
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Wed 29 Feb 2012, 12:23    Post_subject:  

3.X kernels have new drivers which needs new firmwares. I checked racy situation and searched through included kernel driver modules.

I believe the attached pet would be useful to have all those wireless drivers in use for those who need them.

Also.../all-firmware/rt2860sta-fw folder and /all-firmware/rt2870sta-fw folder are deprecated. The kernel now has included drivers for those previously proprietary drivers. 2860.bin and 2870.bin are inside rt2x00 folder which I modified. So removing those 2 folders might be possible.
# modinfo rt2800pci
firmware: rt2860.bin
description: Ralink RT2800 PCI & PCMCIA Wireless LAN driver.

# modinfo rt2800usb
firmware: rt2870.bin
description: Ralink RT2800 USB Wireless LAN driver.

In the attached tar ball is also the firmware.dep file for association. It can be used to update easily those folders in racy. The right location is /etc/modules. You find the existing file there.

ar9170usb folder is deprecated. It can be removed. carl9170 folder provides firmare for the replacing driver carl9170.ko.

Previously added rtl8192SE folder is now part of the rtlwifi folder. I placed all the new rtl8192* firmwares there....those drivers are present in wary.
# ls -R rtlwifi
rtlwifi:
rtl8192c rtl8192ce rtl8192cu rtl8192se rtlwifi.ko
rtlwifi/rtl8192c:
rtl8192c-common.ko
rtlwifi/rtl8192ce:
rtl8192ce.ko
rtlwifi/rtl8192cu:
rtl8192cu.ko
rtlwifi/rtl8192se:
rtl8192se.ko

Those folders I attached need to be placed to the /lib/modules/all-firmware folder and the firmware.dep file need to be updated.

In the attached tar ball is also firmware folders with firmware/s inside for some other drivers which are included in racy but the firmwares were missing.
new-firmwares-racy.tar.gz
Description 
gz

 Download 
Filename  new-firmwares-racy.tar.gz 
Filesize  194.96 KB 
Downloaded  358 Time(s) 

Edited_times_total
Back to top
View user's profile Send_private_message 
OscarTalks

Joined: 05 Feb 2012
Posts: 901
Location: London, England

PostPosted: Wed 29 Feb 2012, 14:56    Post_subject:  

Since you are talking about this here I am trying to get wireless to work as well. I have a USB dongle (packaged as an Edimax EW-7718Un 300 Mbps Wireless USB Adapter) which gives these error messages. Have tried Racy 5228 and Wary 522 and others, same result with all.

module = rt2800usb
Fails to activate, log shows:-
requesting firmware rt2870.bin
failed to request firmware

The other network setup tool says the module is on board but not listed as having WPA support or something. An option comes up to include it or use it anyway but it still doesn't activate if I do.

Any advice (without blinding me with science)?
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Wed 29 Feb 2012, 15:21    Post_subject:  

Quote:
module = rt2800usb
Fails to activate, log shows:-
requesting firmware rt2870.bin
failed to request firmware

Install attached pet in Racy. Then in console rmmod rt2800usb and modprobe rt2800usb
If it does not help....reboot and the autoloading might happen.
rt2x00-new-firmware-folder-0.0.1.pet
Description 
pet

 Download 
Filename  rt2x00-new-firmware-folder-0.0.1.pet 
Filesize  14.55 KB 
Downloaded  337 Time(s) 
Back to top
View user's profile Send_private_message 
OscarTalks

Joined: 05 Feb 2012
Posts: 901
Location: London, England

PostPosted: Wed 29 Feb 2012, 16:52    Post_subject:  

Tried to follow what poster "mark" above did.
Downloaded the firmware .bin and placed it in the folder.
Network setup now does scan
BUT does not find any WPA signals, only WEP ones.
Not really sure how to use WEP in my router and don't really want to as it is less secure.

Wonder if there is a newer firmware that I should use in place of the rt2870.bin

This USB adapter does work with WPA on other OS's including Xubuntu

Was using Wary 522 for this test..

Can try Racy with the .pet but need a few cups of tea right now

EDIT: @ Pemasu, I have followed your instructions and Racy 5.2.2.8 now scans OK and finds all the wireless signals including the WPA ones so I am able to connect.

Hope I will be able to repeat the process and hopefully this means that future releases of Puppy will work out of the box with these wireless adapters because they are quite commonplace.

Now I need to go back to a PCI wireless adapter which I had in this machine before and we need to get that one working, because it was giving problems too. Will post back about that one later maybe
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Wed 29 Feb 2012, 18:34    Post_subject:  

Glad to hear you got it working. It confirms that firmware update is needed.
About your pci wireless. If it does not work.
In console lspci -nn and copy the rows concerning that wireless.
Back to top
View user's profile Send_private_message 
wjaguar

Joined: 21 Jun 2006
Posts: 280

PostPosted: Wed 29 Feb 2012, 19:30    Post_subject: Re: Strange 'rob you blind Bug' Using mtPaint
Sub_title: Couldn't use keyboard shortcut to open the 'Scale Canvas' dialog
 

LaRioja wrote:
pressed the key 'Bild' with an up arrow (shortcut for scale canvas) and I was in the rob you blind again.

Sounds very like a key getting locked in autorepeat. Reproduce the situation again, and try pressing and releasing the key 'Bild' then - if my suspicion is right, that should resolve the situation.
But a key release event getting *reproducibly* lost is a bad symptom, even if resolvable; such things normally happen only very sporadically, if at all.
Back to top
View user's profile Send_private_message 
mark

Joined: 26 Feb 2012
Posts: 8

PostPosted: Wed 29 Feb 2012, 22:48    Post_subject:  

OscarTalks,

To make WPA work, put the following in /etc/wpa_supplicant.conf

ctrl_interface=/var/run/wpa_supplicant
ap_scan=2
update_config=1

network={
ssid="_your_ssid_"
scan_ssid=1
psk="_your_passkey_"
proto=WPA
key_mgmt=WPA-PSK
}

And then run

wpa_supplicant -Dwext -iwlan0 -c/etc/wpa_supplicant.conf

And finally use the Network wizard set set up wlan0
Back to top
View user's profile Send_private_message 
LaRioja

Joined: 23 Feb 2012
Posts: 20
Location: Augsburg/Germany

PostPosted: Thu 01 Mar 2012, 07:03    Post_subject: Re: Strange 'Rob You Blind Issue' Using mtPaint
Sub_title: more testing results
 

I did further testing: mtPaint is not the problem. The key itself does not hang. When I scroll down on a longer internet page in seamonkey and then press the key 'Bild' with an up arrow once, the page is scrolled up to the beginning as if the key was repeatedly pressed or held. The input was still there, because I couldn't scroll down using the mouse. I had this issue only on that Acer Aspire 7750G (Intel I5, ATI graphics). Other machines were ok. On the same machine under Win7 I can't find a thing like that.

The bad sympton remains
wjaguar wrote:
a key release event getting *reproducibly* lost

I'm still questioning because I had the same issue on this machine under Lucid 5.28. On both Puppies I could stop 'the rob' simply by pressing the 'Bild' key with the down arrow and mtPaint was working again except that key. Doing the same in seamonkey helped too.
Back to top
View user's profile Send_private_message 
LaRioja

Joined: 23 Feb 2012
Posts: 20
Location: Augsburg/Germany

PostPosted: Thu 01 Mar 2012, 07:31    Post_subject: Typo in package manager in Racy?
Sub_title: and translating consideration
 

Racy 5.2.2.8: I installed PuppyLook, I got this dialog box, which is generated by the package manager, I think. Image appended.

'chages to take effect' ->changes ...
'you should restart X server' maybe better here-> '...restart the X-server'
Could you look, if this typo really is the package manager. If not, excuse me for the post.
Unpleasing side-effect. When somebody translates such a string and later the original is corrected, the translation may break because the source string being different the system doesn't find the translation any more.
Setup_Puppylook_typo.png
 Description   
 Filesize   3.43 KB
 Viewed   641 Time(s)

Setup_Puppylook_typo.png


Edited_time_total
Back to top
View user's profile Send_private_message 
wjaguar

Joined: 21 Jun 2006
Posts: 280

PostPosted: Thu 01 Mar 2012, 12:55    Post_subject: Re: Strange 'Rob You Blind Issue' Using mtPaint
Sub_title: more testing results
 

LaRioja wrote:
The key itself does not hang. When I scroll down on a longer internet page in seamonkey and then press the key 'Bild' with an up arrow once, the page is scrolled up to the beginning as if the key was repeatedly pressed or held. The input was still there, because I couldn't scroll down using the mouse. I had this issue only on that Acer Aspire 7750G (Intel I5, ATI graphics). Other machines were ok. On the same machine under Win7 I can't find a thing like that.

"The key itself" (i.e. the hardware) very rarely is the source of such problems - and it definitely isn't in your case, for it works OK in Win7. The problem is usually caused by GUI library losing the "key release message" from the key - then it believes the key remains depressed forever. And to put it back into connection with reality Smile it is enough to give it another "release message" from that key, by pressing and releasing it again.
Both mtPaint and Firefox use GTK+, so the problem may be either in there, or in X itself. You may use 'xev' utility from X to determine on which level the "release message" is lost; when you release that key, the corresponding X event should look like this:
Quote:
KeyRelease event, serial 34, synthetic NO, window 0x1c00001,
root 0x1a6, subw 0x0, time 1242300, (787,437), root:(791,462),
state 0x0, keycode 99 (keysym 0xff55, Prior), same_screen YES,
XLookupString gives 0 bytes:
XFilterEvent returns: False

LaRioja wrote:
On both Puppies I could stop 'the rob' simply by pressing the 'Bild' key with the down arrow and mtPaint was working again except that key. Doing the same in seamonkey helped too.

This stops GTK's "spin timer" (first reversing direction on the keypress, then killing it on release) - which shows that release event from "Bild - down" key gets received and processed OK. And given that the "spin up" gets stopped for good and does not resume, it's most likely GTK+ that is the problem. But still, it's better to make sure.
And which version of GTK+ is used on the affected systems?
Back to top
View user's profile Send_private_message 
sszindian


Joined: 24 Apr 2010
Posts: 607
Location: Pennsylvania U.S.

PostPosted: Thu 01 Mar 2012, 15:05    Post_subject: Wifi Working  

pemasu:

Again sir... 'Thank You' Racy (currently using 5.2.2.7) now Has Wifi working! (posting from it now)

Just followed your instructions as per your post above using the .pet for the rt2800usb.

For those who may be interested, I'm running:

(A) Belkin 300 router
(B) LinksysAE1000 usb stick
(C) Racy-5.2.2.7

You sure put a lot of effort in 'ALL' the puppy versions... I for One really believe your 'Exprimo' should be inline for the next 'Official Puppy' hey, after all, we do need a Debian in the pack somewhere!

>>>---Indian------>

_________________
Cloud Computing For Every Puppy (a .pet)
http://murga-linux.com/puppy/viewtopic.php?t=69192
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 4 of 20 Posts_count   Goto page: Previous 1, 2, 3, 4, 5, 6, ..., 18, 19, 20 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » House Training » Bugs ( Submit bugs )
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1112s ][ Queries: 13 (0.0088s) ][ GZIP on ]